/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.web.loadbalancer.scheduler;

/**
 * MBean interface.
 */
public interface HostMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.web.loadbalancer: type=Host");

   int getCurrentConnections();

   java.net.URL getUrl();

   int getLbFactor();

   void setLbFactor(int lbFactor);

   org.jboss.web.loadbalancer.scheduler.HostStatistics getStatistics();

   int getState();

   java.lang.String getStateString();

   void markNodeUp();

   void markNodeDown();

   void markNodeForcedDown();

   void resetStatistics();

}
